EXPORTFS(8)

NAME
exportfs - export and unexport directories to NFS clients

SYNOPSIS
/usr/etc/exportfs [ -aiuv ] [ -o options ] [ pathname ]

DESCRIPTION

exportfs makes a local directory or filename available for mounting over the network by NFS clients. It is normally invoked at boot time by the /etc/rc.local script, and uses information contained in the /etc/exports file to export pathname (which must be specified as a full pathname). The super-user can run exportfs at any time to alter the list or characteristics of exported directories and filenames. Directories and files that are currently exported are listed in the file /etc/xtab.

With no options or arguments, exportfs prints out the list of directories and filenames currently exported.

OPTIONS

-a  All. Export all pathnames listed in /etc/exports, or if -u is specified, unexport all of the currently exported pathnames.

-i  Ignore the options in /etc/exports. Normally, exportfs will consult /etc/exports for the options associated with the exported pathname.

-u  Unexport the indicated pathnames.

-v  Verbose. Print each directory or filename as it is exported or unexported.

-o options
    Specify a comma-separated list of optional characteristics for the pathname being exported. options can be selected from among:

    ro  Export the pathname read-only. If not specified, the pathname is exported read-write.

    rw=hostname[:hostname]...
        Export the pathname read-mostly. Read-mostly means exported read-only to most machines, but read-write to those specified. If not specified, the pathname is exported read-write to all.

    anon=uid
        If a request comes from an unknown user, use UID as the effective user ID. Note: root users (UID 0) are always considered “unknown” by the NFS server, unless they are included in the root option below. The default value for this option is the UID of the user “nobody”. If the user “nobody” does not exist then the value 65534 is used. Setting the value of “anon” to 65535 disables anonymous access. Note: by default secure NFS accepts insecure requests as anonymous, and those wishing for extra security can disable this feature by setting “anon” to 65535.

    root=hostname[:hostname]...
        Give root access only to the root users from a specified hostname. The default is for no hosts to be granted root access.

    access=client[:client]...
        Give mount access to each client listed. A client can either be a hostname, or a netgroup (see netgroup(5)). Each client in the list is first checked for in the /etc/hosts database, and then the /etc/netgroup database. The default value allows any machine to mount the given directory.

    secure
        Require clients to use a more secure protocol when accessing the directory.

FILES
/etc/exports
    static export information
/etc/xtab
    current state of exported pathnames
/etc/netgroup

SEE ALSO
exports(5), netgroup(5), showmount(8)

WARNINGS

You cannot export a directory that is either a parent- or a sub-directory of one that is currently exported and within the same filesystem. It would be illegal, for example, to export both /usr and /usr/local if both directories resided in the same disk partition.